Updates a payment request.

Authorization: End user or Merchant token is required.

User permissions required: CanUpdatePaymentRequests

Path Params
uuid
required

The ID of the payment request to update.

Body Params

The payment request containing the updated details to apply.

double | null
string | null
enum
string | null
[a-zA-Z0-9\-]+

An optional customer identifier for the payment request. This field is sent to the
payer's bank when using payment initiation. The restriction in the available characters
is due to some banks rejecting requests when ones outside the set are used.

string | null
[a-zA-Z0-9\-_\.@&\*%\$#!:; ]+

An optional order ID for the payment request. If the request is for an invoice this
is the most appropriate field for the invoice ID.

paymentMethods
array of strings | null

The payment methods that the payment request supports.

paymentMethods
string | null

An optional description for the payment request. If set this field will appear
on the transaction record for some card processors.

uuid | null

The payment account ID to use to receive payment initiation payments. This must match one of your
NoFrixion payment account IDs. This can be left blank to use your default payment account.

string | null
[^\<\>]+

Optionally the first name of the customer's shipping address.

string | null
[^\<\>]+

Optionally the last name of the customer's shipping address.

string | null
[^\<\>]+

Optionally the first line of the customer's shipping address.

string | null
[^\<\>]+

Optionally the second line of the customer's shipping address.

string | null
[^\<\>]+

Optionally the city of the customer's shipping address.

string | null
[^\<\>]+

Optionally the state or county of the customer's shipping address.

string | null
[^\<\>]+

Optionally the post code of the customer's shipping address.

string | null
[^\<\>]+

Optionally the country code of the customer's shipping address.

string | null
[0-9\+\- ]+

Optionally the shipping phone number for the customer.

string | null

Optionally the shipping email address for the customer.

string | null

For card payments the origin of the payment page needs to be set in advance.
A public key context is generated to encrypt sensitive card details and is bound
to a single origin URL.

string | null

Once a payment is processed, or a notification of an inbound payment is received,
a callback request will be made to this URL. Typically it will be the page on
a merchant's web site that displays the results of the payment attempt.

string | null

Optional callback URL for payment failures that can occur when the payer is
redirected away from the payment page. Typically the payer is only sent away
from the payment page for pay by bank attempts. If this URL is not set the
payer will be redirected back to the original URL the payment attempt was initiated
from.

boolean | null

For card payments the default behaviour is to authorise and capture the payment at the same
time. If a merchant needs to authorise and then capture at a later point this property needs
to be set to true.

boolean | null

For card payments a payment attempt can be used to create a reusable token for subsequent
payments. Setting this field to true will create a reusable customer token.

string | null
enum

This specifies whether user consent will be taken before tokenising card or not.
This cannot be 'None' if CardCreateToken is set to true. If this is set to 'UserConsentRequired'
then, the user consent will overwrite CardCreateToken flag on submit card payment.

Allowed:
boolean | null
boolean | null
string | null
[a-zA-Z0-9]+

Optional field that if specified indicates the processor merchant ID that should be used
to process any card payments. Mainly useful where a merchant has multiple processor
merchant ID's. If left empty the default merchant card settings will be used.

string | null

Optional email address for the customer. If the tokenise card option is set then the customer email address
is mandatory.

string | null
string | null

A generic field to contain any additional data that the merchant wishes to store against the payment request.
E.g. product or service information.

string | null

An optional comma separated list of partial payment amounts. The amounts represent guidance, or suggestions, as to
how the payer will be requested to make partial payments.

tagIds
array of uuids | null

An optional list of tag ids to add to the payment request

tagIds
string | null

Bitcoin Lightning invoice for the payment request.

date-time | null

Date and time of expiration of the lightning invoice.

boolean | null

If set to true, a receipt will be automatically sent to the CustomerEmailAddress when payments are received.

customFields
array of objects | null

A list of custom fields to add to the payment request. The custom fields
are data type agnostic which means that the API will not do any validation or formatting
in the key-value pairs. The API will store the custom fields as is.

customFields
date-time | null

The due date of the payment request.

string | null

If a payment event results in the payment request being classified as fully paid this
success webhook URL will be invoked. The URL will be invoked as a GET request, i.e.
there will be no request body. Two query parameters will be added to the URL. The
first one will be "id" and will hold the payment request ID. The second one will be
"orderid" and will hold the payment request OrderID, note the OrderID could be empty
if it was not set when the payment request was created.
The recommended approach when receiving a success web hook is to use the "id" parameter
to call the moneymoov get payment request endpoint to retrieve the full details of the
payment request and check the status. Web hooks can be easily spoofed and should not be
relied upon.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain
application/json
text/json